Table of Contents

Class: DOMUnjellier | Twisted-0.19.0/twisted/persisted/marmalade.py
--- | ---
Methods |
--- | ---
__init__ unjelly unjellyAttribute unjellyInto unjellyLater unjellyNode
| __init__
    __init__ ( self )
| unjelly
    unjelly ( self,  doc )
| unjellyAttribute
    unjellyAttribute (
            self,
            instance,
            attrName,
            valueNode,
            )
### Utility method for unjellying into instances of attributes. Use this rather than unjellyNode unless you like surprising bugs! Alternatively, you can use unjellyInto on your instance's __dict__.
| unjellyInto
    unjellyInto (
            self,
            obj,
            loc,
            node,
            )
### Utility method for unjellying one object into another. This automates the handling of backreferences.
| unjellyLater
    unjellyLater ( self,  node )
Unjelly a node, later.
| unjellyNode
    unjellyNode ( self,  node )
Exceptions |
--- | ---
"Unjellying Error: key role not set" "Unsupported Node Type: %s" % str( node.tagName ) "instance method changed"

Table of Contents

This document was automatically generated on Sun Jul 14 19:52:54 2002 by HappyDoc version 2.0